[youtubei.js](../../../../README.md) / [Utils](../README.md) / getCookie

# Function: getCookie()

> **getCookie**(`cookies`, `name`, `matchWholeName`): `string` \| `undefined`

Defined in: [src/utils/Utils.ts:260](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L260)

## Parameters

### cookies

`string`

### name

`string`

### matchWholeName

`boolean` = `false`

## Returns

`string` \| `undefined`
